id: securelogin_settings
label: Secure login settings
migration_tags:
  - Drupal 7
  - Configuration
source:
  plugin: variable
  variables:
    - securelogin_base_url
    - securelogin_form_comment_form
    - securelogin_form_node_form
    - securelogin_form_user_login
    - securelogin_form_user_login_block
    - securelogin_form_user_pass
    - securelogin_form_user_pass_reset
    - securelogin_form_user_profile_form
    - securelogin_form_user_register_form
    - securelogin_form_contact_personal_form
    - securelogin_form_contact_site_form
    - securelogin_form_webform_client_form
    - securelogin_secure_forms
    - securelogin_all_forms
    - securelogin_other_forms
  source_module: securelogin
process:
  all_forms: securelogin_all_forms
  base_url: securelogin_base_url
  form_comment_form: securelogin_form_comment_form
  form_contact_message_form: securelogin_form_contact_site_form
  form_node_form: securelogin_form_node_form
  form_user_form: securelogin_form_user_profile_form
  form_user_login_form: securelogin_form_user_login
  form_user_pass: securelogin_form_user_pass
  form_user_pass_reset: securelogin_form_user_pass_reset
  form_user_register_form: securelogin_form_user_register_form
  form_webform_client_form: securelogin_form_webform_client_form
  other_forms: securelogin_other_forms
  secure_forms: securelogin_secure_forms
destination:
  plugin: config
  config_name: securelogin.settings
